## com.saxonica.codegen
Class JavaDeclaration

    java.lang.Object
      com.saxonica.codegen.JavaDeclaration

All Implemented Interfaces:
  ReturnAction

    public class JavaDeclaration

extends Object
implements ReturnAction

A return action that assigns the value of the expression to a variable supplied by the caller

Constructor Summary
`JavaDeclaration(Class theClass, String varName)` Create a JavaDeclaration

Method Summary
`Class` `getVariableClass()` Get the class of the variable
`String` `getVariableName()` Get the name of the variable holding the result
`String` `output(CompilerService compiler, String expression)` Generate the return text

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaDeclaration

    public JavaDeclaration(Class theClass,
                           String varName)

  Create a JavaDeclaration

  Parameters:
    `theClass` - the class of variable to be declared, currently always boolean.class
    `varName` - the name of the variable to be declared

Method Detail

### getVariableClass

    public Class getVariableClass()

  Get the class of the variable

  Returns:
    the class of the variable, currently always boolean.class

### output

    public String output(CompilerService compiler,
                         String expression)

  Generate the return text

  Specified by:
    `output` in interface `ReturnAction`
  Parameters:
    `compiler` - the compiler service
    `expression` - the Java expression that computes the return value
  Returns:
    the Java statement to be output

### getVariableName

    public String getVariableName()

  Get the name of the variable holding the result

  Specified by:
    `getVariableName` in interface `ReturnAction`
  Returns:
    the Java variable name

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.